
#define DEFAULTPATH ".:~/.divetools:/etc/divetools"

#include <string.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <limits.h>

char *findrc(char *path,char *filename,int mode) {

	static char rc[PATH_MAX];
	char *hlp;
	int len;
	
	if (!path) path=DEFAULTPATH;
	
	while(*path) {

		hlp=strchr(path,':');
		if (!hlp) {
			len=strlen(path);
		} else {
			len=hlp-path;
		}
		
		if (len<0||len>=sizeof(rc)) {
			return NULL;	/* HUH ? */
		}

		strncpy(rc,path,len);rc[len]='\0';

		path+=len;
		if (*path==':') path++;

		if (*rc=='~') {	/* expand to $HOME */
			hlp=getenv("HOME");
			if (!hlp) continue;	/* skip if no HOME */
			len=strlen(hlp);
			if (strlen(rc)+len>=sizeof(rc)) {
				continue;	/* Trying to kill me ? */
			}
			memmove(rc+len,rc+1,strlen(rc));	/* Copies trailing \0 ! */
			strncpy(rc,hlp,len);
		}

		if (strlen(rc)+strlen(filename)+1>=sizeof(rc)) {
			continue;		/* Trying to kill me ? */
		}
		strcat(rc,"/");
		strcat(rc,filename);
		if (0==access(rc,mode)) {
			return rc;
		}

	}
	return 0;
}
