enum dimension {
	DIM_LENGTH,
	DIM_VOLUME,
	DIM_TEMPERATURE,
	DIM_MASS,
	DIM_FORCE,
	DIM_PRESSURE,
	DIM_TIME,
	DIM_EOF
};

enum unit {
/* lengths */
	UNIT_METER,
	UNIT_KILOMETER,
	UNIT_DECIMETER,
	UNIT_CENTIMETER,
	UNIT_MILLIMETER,
	UNIT_MICROMETER,
	UNIT_NANOMETER,
	UNIT_PICOMETER,
	UNIT_FEMTOMETER,
	UNIT_FEET,
	UNIT_FOOT=UNIT_FEET,
	UNIT_INCH,
	UNIT_YARD,
	UNIT_FATHOM,
	UNIT_MILE,
	UNIT_NAUTICAL_MILE,
/* Volumes */
	UNIT_METER_3,
	UNIT_LITER,
	UNIT_CENTILITER,
	UNIT_MILLILITER,
	UNIT_MICROLITER,
	UNIT_HECTOLITER,
	UNIT_GALLON_US_LIQUID,
	UNIT_GALLON_US_DRY,
	UNIT_GALLON_UK,
	UNIT_INCH_3,
	UNIT_FOOT_3,
/* Temperatures */
	UNIT_KELVIN,
	UNIT_CELSIUS,
	UNIT_FAHRENHEIT,
/* Masses */
	UNIT_KILOGRAM,
	UNIT_GRAM,
	UNIT_MILLIGRAM,
	UNIT_MICROGRAM,
	UNIT_NANOGRAM,
	UNIT_PICOGRAM,
	UNIT_FEMTOGRAM,
	UNIT_TON,
	UNIT_POUND,
/* Pressure */
	UNIT_PASCAL,
	UNIT_BAR,
	UNIT_ATM,
	UNIT_PSI,
	UNIT_FOOT_SEAWATER,
	UNIT_TORR,
/* time */
	UNIT_SECOND,
	UNIT_MILLISECOND,
	UNIT_MICROSECOND,
	UNIT_NANOSECOND,
	UNIT_PICOSECOND,
	UNIT_FEMTOSECOND,
	UNIT_ATTOSECOND,
	UNIT_MINUTE,
	UNIT_HOUR,
	UNIT_DAY,
	UNIT_WEEK,
/* Dummy EOF marker */
	UNIT_EOF
};

double convert(enum dimension dim,enum unit from,enum unit to,double value,int *error);
