%%
%% divelog.cls, Copyright (C) 2002 by Andreas Beck. All rights reserved.
%% 
%% IMPORTANT NOTICE:
%% 
%% To avoid confusion with different document classes having the same name,
%% you are not allowed to change this file.  You may however copy this file
%% to a file with a different name and then change the copy.
%% 
%% You are NOT ALLOWED to take money for the distribution or use of this 
%% file (or a changed version) except for a nominal charge for copying etc.
%% 
\def\filedate{2002/08/01}
\def\fileversion{0.1}
\def\filename{divelog.cls}
\NeedsTeXFormat{LaTeX2e}[1997/06/01]

\ProvidesClass{divelog}[\filedate\space v\fileversion\space divelog class]

\newdimen\VorschubH
\newdimen\VorschubV
\VorschubH = 0.0mm
\VorschubV = 0.0mm

\newdimen\LeftRow
\LeftRow = 20.0mm

\newdimen\SmallLeft
\SmallLeft = 30.0mm
\newdimen\SmallLeftPad
\SmallLeftPad = 10.0mm
\newdimen\RightRow
\RightRow = 15.0mm
\newdimen\RightRowData
\RightRowData = 30.0mm

\newdimen\LongRow
\LongRow = \SmallLeft
\addtolength\LongRow\RightRow
\addtolength\LongRow\RightRowData

\DeclareOption{german}{
  \def\sprache{german}
  \def\dltitle{{\large Logbuch}}
  \def\dldivenr{{\footnotesize TG Nr.:}}
  \def\dldate{{\footnotesize Datum:}}
  \def\dlarea{{\footnotesize Tauchgebiet:}}
  \def\dlspot{{\footnotesize Tauchplatz:}}
  \def\dlbuddy{{\footnotesize Tauchpartner:}}
  \def\dlmaxdivedepth{{\footnotesize max. Tiefe:}}
  \def\dlduration{{\footnotesize Tauchzeit:}}
  \def\dluhrzeit{{\footnotesize Uhrzeit:}}
  \def\dltimestart{{\footnotesize von }}
  \def\dltimeend  {{\footnotesize \ bis }}
  \def\dltimeclose{{\footnotesize }}
  \def\dlsurfint{{\footnotesize Ofl.Pause:}}
  \def\dlcompdata{{Computerdaten:}}
  \def\dlcdmodel{{\footnotesize Modell:}}
  \def\dlcdserial{{\footnotesize SerienNr.:}}
  \def\dlcdpersonal{{\footnotesize Benutzerinfo:}}
  \def\dlcdmode{{\footnotesize Einstellungen:}}
  \def\dlprofil{{Tauchgangsprofil:}}
  \def\dlgasdata{{Atemgas:}}
  \def\dlgasvol{{\footnotesize Flasche:}}
  \def\dlgaspress{{\footnotesize Druck:}}
  \def\dlgaspressstart{{\footnotesize Startdruck:}}
  \def\dlgaspressend{{\footnotesize Enddruck:}}
  \def\dlnotes{{Bemerkungen:}}
}
\DeclareOption{english}{
  \def\sprache{english}
  \def\dltitle{{\large Diver's log}}
  \def\dldivenr{{\footnotesize Dive Nr.:}}
  \def\dldate{{\footnotesize Date:}}
  \def\dlarea{{\footnotesize Area:}}
  \def\dlspot{{\footnotesize Spot:}}
  \def\dlbuddy{{\footnotesize Buddy:}}
  \def\dlmaxdivedepth{{\footnotesize max. depth:}}
  \def\dlduration{{\footnotesize Dive time:}}
  \def\dluhrzeit{{\footnotesize Time:}}
  \def\dltimestart{{\footnotesize ( }}
  \def\dltimeend  {{\footnotesize \ to }}
  \def\dltimeclose{{\footnotesize )}}
  \def\dlsurfint{{\footnotesize Surf.Interval:}}
  \def\dlcompdata{{Computer data:}}
  \def\dlcdmodel{{\footnotesize Model:}}
  \def\dlcdserial{{\footnotesize Serial\#:}}
  \def\dlcdpersonal{{\footnotesize Userinfo:}}
  \def\dlcdmode{{\footnotesize Mode/Adj.:}}
  \def\dlprofil{{Dive profile:}}
  \def\dlgasdata{{Gas consumption:}}
  \def\dlgasvol{{\footnotesize Cylinder volume:}}
  \def\dlgaspress{{\footnotesize Pressure:}}
  \def\dlgaspressstart{{\footnotesize Initial pressure:}}
  \def\dlgaspressend{{\footnotesize Final pressure:}}
  \def\dlnotes{{Notes:}}
}

\ExecuteOptions{@sprache} \ProcessOptions

\LoadClass[a5paper, oneside, final]{letter}[1997/04/16]

\normalsize

\setlength\oddsidemargin{0\p@}
\setlength\evensidemargin{\oddsidemargin}
\setlength\marginparwidth{90\p@}
\setlength\marginparsep{11\p@}
\setlength\marginparpush{5\p@}
\setlength\topmargin{0mm}
\setlength\headheight{0mm}
\setlength\headsep{0mm}
\setlength\topskip{0mm}
\setlength\footskip{0mm}

\setlength\textheight{210mm}
\setlength\textwidth{140mm}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}

\renewcommand\baselinestretch{1}

\advance\topmargin by \VorschubV
\advance\oddsidemargin by \VorschubH
\setlength\evensidemargin{\oddsidemargin}

\def\Divenr#1{\def\divenr{#1}} \def\divenr{\_\_}
\def\Date#1{\def\dvdate{#1}} \def\dvdate{\_\_.\_\_.\_\_\_\_}
\def\Area#1{\def\area{#1}} \def\area{\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_}
\def\Spot#1{\def\spot{#1}} \def\spot{\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_}
\def\Buddy#1{\def\buddy{#1}} \def\buddy{\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_}
\def\Maxdepth#1{\def\maxdivedepth{#1}} \def\maxdivedepth{\_\_,\_ m}
\def\Duration#1{\def\duration{#1}} \def\duration{\_\_ min}
\def\Timestart#1{\def\timestart{#1}} \def\timestart{\_\_\_\_\_\_}
\def\Timeend#1{\def\timeend{#1}} \def\timeend{\_\_\_\_\_\_}
\def\SurfInt#1{\def\surfint{#1}} \def\surfint{\_\_\_:\_\_\_}
\def\CDModel#1{\def\cdmodel{#1}} \def\cdmodel{\_\_\_\_\_\_\_\_}
\def\CDSerial#1{\def\cdserial{#1}} \def\cdserial{\_\_\_\_\_\_\_\_}
\def\CDPersonal#1{\def\cdpersonal{#1}} \def\cdpersonal{\_\_\_\_\_\_\_\_}
\def\CDMode#1{\def\cdmode{#1}} \def\cdmode{\_\_\_\_\_\_\_\_}
\def\Gasvol#1{\def\gasvol{#1}} \def\gasvol{\_\_\_ l}
\def\Gaspress#1{\def\gaspress{#1}} \def\gaspress{\_\_\_\_\_ bar}
\def\Gaspressstart#1{\def\gaspressstart{#1}} \def\gaspressstart{\_\_\_\_\_ bar}
\def\Gaspressend#1{\def\gaspressend{#1}} \def\gaspressend{\_\_\_\_\_ bar}
\def\Gasname#1{\def\gasname{#1}} \def\gasname{\_\_\_\_\_\_}
\def\Gasperco2#1{\def\gasperco2{#1}} \def\gasperco2{\_\_\_}
\def\Gaspercn2#1{\def\gaspercn2{#1}} \def\gaspercn2{\_\_\_}
\def\Gasperche#1{\def\gasperche{#1}} \def\gasperche{\_\_\_}

\def\ProfileGraph#1{\def\profilegraph{#1}} \def\profilegraph{}

\long\def\Einrueckung#1{\par\begin{tabular}{@{\hspace{1in}}p{5in}@{}}
    #1\end{tabular}\par}

\newif\ifpunchmark\punchmarkfalse
\def\punchmark{\punchmarktrue}

\newenvironment{divelog}{
  \thispagestyle{firstpage}
  \setlength\unitlength{1mm}

  \c@page\@ne
  \interlinepenalty=200
  \clearpage

  \begin{picture}(0,0)
    \ifpunchmark \put(-20,-70){\line(1,0){5}} \fi
  \end{picture}

  \dltitle
  \vspace{3mm}

  \makebox[\LeftRow][l]{\dldivenr}
   \makebox[\SmallLeft][r]{\divenr\makebox[\SmallLeftPad]{}}
   \makebox[\RightRow][l]{\dldate}
     \makebox[\RightRowData][r]{\dvdate}
  \\
  \makebox[\LeftRow][l]{\dlarea}
   \makebox[90mm][l]{\area}
  \\
  \makebox[\LeftRow][l]{\dlspot}
   \makebox[90mm][l]{\spot}
  \\
  \makebox[\LeftRow][l]{\dlbuddy}
   \makebox[90mm][l]{\buddy}
  \\
  \makebox[\LeftRow][l]{\dlmaxdivedepth}
   \makebox[\SmallLeft][r]{\maxdivedepth\makebox[\SmallLeftPad]{}}
   \makebox[\RightRow][l]{\dlsurfint}
   \makebox[\RightRowData][r]{\surfint}
  \\
  \makebox[\LeftRow][l]{\dlduration}
   \makebox[\SmallLeft][r]{\duration\makebox[\SmallLeftPad]{}} 
   \makebox[\RightRow][l]{\dluhrzeit}
   \makebox[\RightRowData][r]{\dltimestart \timestart \dltimeend \timeend \dltimeclose}
  \\[3mm]
  \dlcompdata
  \\
  \makebox[\LeftRow][l]{\dlcdmodel}
   \makebox[\SmallLeft][r]{\cdmodel\makebox[\SmallLeftPad]{}}
   \makebox[\RightRow][l]{\dlcdserial}
   \makebox[\RightRowData][r]{\cdserial}
  \\
  \makebox[\LeftRow][l]{\dlcdpersonal}
   \makebox[\LongRow][l]{\cdpersonal}
  \\
  \makebox[\LeftRow][l]{\dlcdmode}
   \makebox[\LongRow][l]{\cdmode}
  \\
  \dlprofil
  \\[2mm]
  \begin{picture}(100,50)
    \profilegraph
  \end{picture}
  \\[2mm]
  \dlgasdata \ \ \ \ (\gasname : O$_2$: \gasperco2 \ \  N$_2$: \gaspercn2 \ \ He: \gasperche)
  \\[2mm]
  \makebox[\LeftRow][l]{\dlgasvol}
   \makebox[\SmallLeft][r]{\gasvol\makebox[\SmallLeftPad]{}}
   \makebox[\RightRow][l]{\dlgaspress}
   \makebox[\RightRowData][r]{\gaspress}
  \\
  \makebox[\LeftRow][l]{\dlgaspressstart}
   \makebox[\SmallLeft][r]{\gaspressstart\makebox[\SmallLeftPad]{}}
   \makebox[\RightRow][l]{\dlgaspressend}
   \makebox[\RightRowData][r]{\gaspressend}
  \\[2mm]
  \dlnotes\\[2mm]
  }
%{
%  \renewcommand{\baselinestretch}{1.0}
%  \ifcase \@ptsize\relax \normalsize \or \small \or \footnotesize \fi

%  \vspace{\grussskip} \par \nobreak \stopbreaks \noindent
%  \parbox[t]{3.5in}{\raggedright \ignorespaces {\normalsize \ifx
%      \gruss\empty \else \gruss \mbox{} \\[16.92mm] \fi \ifx
%      \empty\unterschrift \relax \else \ifklassisch
%      \textsl{(\unterschrift)} \else \unterschrift \fi}
%    \fi\strut} \ifx \anlagen\empty \else \vspace{4mm} \par \anlagen
%  \par \fi \ifx \verteiler\empty \else \ifx \anlagen\empty
%  \vspace{4mm}\par \fi \verteiler \fi }

\def\ps@firstpage{
  \renewcommand{\baselinestretch}{1.0}
%  \ifcase \@ptsize\relax \normalsize \or \small \or \footnotesize \fi
%  \headheight16pt\headsep63mm
%  \def\@oddhead{
%    \unitlength1mm
%    \begin{picture}(0,0)
%      \put(-9, 3){\parbox{180mm}{\Large \ifklassisch \textsl{\quad\name}
%          \else \textsc{\quad\name} \fi}}
%      \put(-9, 4){\parbox{180mm}{\hfill \normalsize \ifklassisch \textsl{
%            \begin{tabular}{r} \strasse \quad \\ \ifx \zusatz\empty \else
%              \zusatz \quad \\ \fi \ort \quad \ifx \land\empty \else \\
%              \land \quad \fi \end{tabular}} \else \textsc{
%            \begin{tabular}{r} \strasse \quad \\ \ifx \zusatz\empty \else
%              \zusatz \quad \\ \fi \ort \quad \ifx \land\empty \else \\
%              \land \quad \fi \end{tabular}} \fi}}
%      \iftrennlinien \put(-9,-7){\rule{180mm}{0.5pt}} \fi
%      \ifpunchmark \put(-20,- 130.50){\line(1,0){4}} \fi
%      \iffaltmarken \put(-15,- 75.16){\line(1,0){3}}
%      \put(-15,-182.16){\line(1,0){3}} \fi
%      \put( -9, -22.00){\makebox(85,4)
%        {\scriptsize \ifx \retouradresse\empty
%          \textrm{\name\ $\cdot$\ \strasse\ $\cdot$\ \ort \ifx
%              \land\empty \else \ $\cdot$\ \land \fi } \else
%            \textrm{\retouradresse} \fi}}
%      \iftrennlinien \put( -9, -22.10){\line(1,0){85}} \fi
%      \put(-1,-28.15){\parbox[t]{3in}{\ifx \postvermerk\empty \hfill \par
%          \else \textbf{\postvermerk} \par \vspace{2mm} \fi \adresse}}
%      \iffenstermarken
%      \put(-9,-18.15){\line( 1, 0){1}} \put(-9,-18.15){\line( 0,-1){1}}
%      \put(76,-18.15){\line(-1, 0){1}} \put(76,-18.15){\line( 0,-1){1}}
%      \put(-9,-61.00){\line( 1, 0){1}} \put(-9,-61.00){\line( 0, 1){1}}
%      \put(76,-61.00){\line(-1, 0){1}} \put(76,-61.00){\line( 0, 1){1}}
%      \fi
%    \end{picture}
%    \hfill}
%  \def\@oddfoot{\unitlength1mm
%    \def\istsprache{german}
%    \begin{picture}(0,0)
%      \put(-9,0){\parbox{180mm}{\footnotesize \iftrennlinien
%          \rule{180mm}{0.5pt} \fi
%          \begin{tabular}{ll}
%            \ifx \telefon\empty \else \telefontex & \telefon \\ \fi \ifx
%            \telefax\empty \else \telefaxtext & \telefax \\ \fi \ifx
%            \telex\empty \else \telextext & \telex \\ \fi \ifx
%            \email\empty \else \emailtext & \email \\ \fi \ifx
%            \http\empty \else \httptext & \http \\ \fi \
%          \end{tabular}\hfill
%          \begin{tabular}{ll}
%            \ifx \bank\empty \else \ifx \blz\empty \else \ifx
%            \konto\empty \else \banktext & \bank \\ & \blztext \space \blz
%            \\ & \kontotext \space \konto \\ \ \fi \fi \fi
%          \end{tabular}}}
%    \end{picture} \hfill}
  \def\@evenhead{\@oddhead} \def\@evenfoot{\@oddfoot}}

\def\istsprache{german}
\ifx \sprache\istsprache
\IfFileExists{babel.sty}
{\RequirePackage[\sprache]{babel}[1997/01/23] }
{\IfFileExists{german.sty}
  {\RequirePackage{german}[1997/05/01]}
  {\ClassError{divelog}
    {Neither babel nor german.sty installed !!!}
    {Get babel or german.sty !!!}}}
\else
\IfFileExists{babel.sty}
  {\RequirePackage[\sprache]{babel}[1997/01/23]}
  {\ClassError{divelog}
    {Babel not installed !!!}
    {Get babel package !!!}}
\fi

\endinput
%%
%% End of file `divelog.cls'.
